Grav 1.5

Grav 1.5

24.08.2018

Grav-julkaisujärjestelmästä on julkaistu uusi 1.5 versio, jossa on useita muutoksia. Tekniset vaatimukset ovat kasvaneet, nyt Grav vaatii serveriltä vähintään PHP-ohjelmointikielestä version 5.6.4.

Grav 1.5 uudistuksia

  • päivitetty Symfony 3.4 komponentteihin (oli 2.4)
  • päivitetty Doctrine Collections 1.4 (oli 1.3)
  • uudet Grav ohjelmistokehykset tiedosto ja sessio luokat
  • Mahdollisuus ottaa session pois käytöstä vaikuttamatta ylläpito-laajennukseen
  • muita yleisiä sessio parannuksia
  • sivu ja mediahallinnan käyttöliittymiin parannuksia, jotta ovat joustavampia tulevissa versiossa.

Loppuvuonna julkaistavassa Grav 1.6 PHP:stä vaaditaan 7.1.3, jonka seurauksena suorituskyky tuplaantuu verrattuna 5.6.4.

Kohti versiota 2.0

Grav 2.0 päätavoite on säilyttää nykyiset parhaat puolet siirryttäessä kun parannetaan suorituskykyä suuremmissa sivustoissa. Versio 2 siis sisältää paljon teknisiä parannuksia niin sanotusti konepellin alle. Rockettheme yrittää varmistaa, että Grav 2 tulee olemaan 100% yhteensopiva version 1.x kanssa.

Esimerkkejä 2.0 parannuksista

  • välimuistin käyttö
  • sivun objektin uudistamista parantamiseksi.
  • sivujen erusluokan luominen jota voidaan käyttää uusien ja erityisten sivutyyppien kehittämiseen
  • Sisältöblokit ovat uusi mekanismi sisäkkäisten HTML-lohkojen luomiseksi eri tasoilla välimuistiin eri sivuilla.
  • Vimpaimet kuten WordPressin vimpaimet tai Joomlan moduulit module.
  • Isojen sivustojen tuki esimerkiksi paremmalla välimuitin käytöllä.
  • Grav 2 vaatii PHP 7.2 (tai tuoreemman) varmistakseen maksimaalisen suorituskyvyn, tietoturvan ja vakauden.

Yhteystiedot

  • Nordenskiöldinkatu 25 B 17
  • 06100 Porvoo
  • 045-1674800
  • heikki(at)heikkikujala.fi